const fs = require('fs');

const Markup = require('telegraf/markup');
const Extra = require('telegraf/extra');

//const db_js = require('./db.js');

//var db = new db_js("dbname");

//=== TOOL FUNCTIONS

function get_echo_obj(cmd,ans){
	this.ans = ans;
	this.cmd = cmd;
	return {
		trigger : this.cmd,
		public : true,
		desc : {
			0:`Replies "+${ans}"`,
			1:`Repond "${ans}"`,
			2:`"${ans}" ga kotaete`,
			3:`"${ans}" *insert arabic*`,
			4:`Antwortet "${ans}"`,
		},
		requirements : (bot,event,message)=>{ 
			return new Promise((resolve, reject)=>{
				return resolve(200);
			});
		},
		action : (bot,event,message)=>{
			return event.reply(this.ans);
		}
	};
}

//=== MAIN MODULE CONFIG

module.exports = function(echo_list,regex_list){
	let echoobj = {
		name : "BasicEcho",
		key : 'bsce',
		version : 0.1,
		requirements : {
			gps: false,
		},
		text : [],
		reply : [],
		regex : [],
		media : [],
		callback : [],
		inline : [],
		new_member : (bot,event)=>{
			//return event.replyWithMarkdown("Welcome !");
		},
		weburl : [],
		cron : [],
	};

	for(var i in echo_list){
		var element = echo_list[i];
		echoobj.text.push(new get_echo_obj(element.cmd,element.ans));
	}
	for(var i in regex_list){
		var element = regex_list[i];
		echoobj.regex.push(new get_echo_obj(element.cmd,element.ans));
	}

	return echoobj; 
	
}